# Get product details for cart item Returns product details for a cart item. Endpoint: GET /carts/{cartUuid}/items/{cartItemUuid}/product-general-details Version: 3.5.0 ## Path parameters: - `cartUuid` (string, required) The UUID of the cart. - `cartItemUuid` (string, required) The UUID of the cart item. ## Header parameters: - `Accept-Language` (string) The value of this parameter might affect the language of the content in the response, provided a translation in the requested language is available. - `X-Musement-Application` (string) A partner's application value, used for analyzing API usage and to identify areas of improvement. - `X-Musement-Currency` (string) A valid currency code from the /currencies endpoint. Default value may vary depending on the X-Musement-Market header value. - `X-Musement-Market` (string) Musement markets contain a modified catalog of activities and prices. Partners are expected to use their assigned market code to view their customized catalog. An invalid X-Musement-Market value will return a 400 status code response. - `X-Musement-Version` (string) The API version to use for the request. When absent, the latest version is used by default, however the latest version may not be stable. Partners are encouraged to use the latest stable version: 3.4.0. Example: "3.4.0" ## Response 200 fields (application/json): - `retail_price_with_custom_discount` (object, required) The final price for customers, taking into consideration any discounts in effect. Changes based on the X-Musement-Currency header value. Example: {"currency":"USD","formatted_value":"$ 10.00","formatted_iso_value":"$10.00","value":10} - `retail_price_with_custom_discount.currency` (string, required) The currency of the price, using a currency code from the /currencies endpoint. Example: "USD" - `retail_price_with_custom_discount.formatted_iso_value` (string, required) The price and currency, formatted based on the value of the Accept-Language header value. Example: "$10.00" - `retail_price_with_custom_discount.formatted_value` (string, required) The currency symbol and price, separated by a space. Example: "$ 10.00" - `retail_price_with_custom_discount.value` (number, required) The numeric value of the price. Example: 10 - `retail_price_in_supplier_currency` (object, required) The final price in the original currency the activity prices were loaded in. Example: {"currency":"USD","formatted_value":"$ 10.00","formatted_iso_value":"$10.00","value":10} - `seller_gateway` (string, required) The name of the integration which handles the reservation flow for this product. Example: "Direct" - `ticket` (boolean, required) Whether the product is only an admission ticket or not. ## Response 404 fields (application/json): - `code` (string, required) The internal Musement code for the error. Example: "1400" - `message` (string, required) A message with a brief explanation of the error. Example: "Resource does not exist" ## Response default fields (application/json): - `code` (string, required) The internal Musement code for the error. Example: "0" - `message` (string, required) A message with a brief explanation of the error. Example: "There was an error"